{=======================================================================================================================

  Version File View

        .

========================================================================================================================

  :

  08.02.2018 [!]  .

========================================================================================================================
  Copyright 2018 TSK Developer Laboratory, Moscow.                                              Konstantin Tsvetkov
                                                                                                  e-mail: dev@tsklab.ru
                                                                                                  http://www.tsklab.ru
  CVS: $Id: Main.pas,v 1.1 2018/02/08 03:28:14 tsk Exp $
=======================================================================================================================}
unit Main;

interface

uses  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls, StdCtrls, StrUtils,
      PropStorageEh, ComCtrls, ToolWin, ImgList, PropFilerEh, Vcl.Buttons,
      // Comming:
      CommingFile, CommingVersionInfo;

type
  TMainFM = class(TForm)
    psFile: TPropStorageEh;
    reMain: TRegPropStorageManEh;
    btRun: TBitBtn;
    edFile: TEdit;
    edVersion: TEdit;
    cbFormat: TComboBox;
    dgOpen: TOpenDialog;
    procedure Vertion(Sender: TObject);
    procedure btRunClick(Sender: TObject);
  private   { Private declarations }
  public    { Public declarations }
  end;

var MainFM: TMainFM;

implementation

{$R *.dfm}
//======================================================================================================================
{ TMainFM }
//======================================================================================================================
procedure TMainFM.btRunClick(Sender: TObject);
begin
  if ( dgOpen.InitialDir = EmptyStr ) then dgOpen.InitialDir := ExtractFilePath( Application.ExeName );
  if dgOpen.Execute then edFile.Text := dgOpen.FileName;
end;
//======================================================================================================================
procedure TMainFM.Vertion(Sender: TObject);
  var fl: String;
begin
  fl := edFile.Text;
  if not FileExists( fl ) then begin
    edVersion.Text := ':  .';
    Exit;
  end;
  edVersion.Text := GetVersionFile( fl ) + '  ' + FormatDateTime( 'dd.mm.yyyy', GetBuildTime( fl ));
end;
//======================================================================================================================
end.
